#include "chdecl.h"
void CH_stdin2string(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto cb9;
    case 6: goto c10;
    case 7: goto c13;
    case 8: goto cb13;
    case 9: goto c14;
    case 10: goto c16;
    case 11: goto c18;
    case 12: goto c20;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* chs_lit 4 , "stdin" */
  if( !chs_lit(DEF(4),"stdin") ) goto ch_depletion;
/* chs_lit 5 , "stdio" */
  if( !chs_lit(DEF(5),"stdio") ) goto ch_depletion;
  current->ip = 3;
cb5:
/* call 3.2.2 4 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* unwrap 7 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "stdout" */
  if( !chs_lit(DEF(8),"stdout") ) goto ch_depletion;
/* chs_lit 9 , "string" */
  if( !chs_lit(DEF(9),"string") ) goto ch_depletion;
  current->ip = 5;
cb9:
/* call 3.2.2 8 9 10 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c10:
/* unwrap 11 10 , 4 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
c11:
/* noop */
  
c13:
  current->ip = 8;
cb13:
/* call 7.1 12 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7)DOT(1),
          arguments[1] = DEF(12),
          arguments[1+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* send 11 12 */
  if ((ch_returncode = che_send(DEF(11),DEF(12),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 11 */
   goto c11;
c16:
/* endblock */
  che_endblock(sched);
c18:
/* endblock */
  che_endblock(sched);
c20:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
